<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/common_top_bar_height"
    android:paddingHorizontal="16dp">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_back"
        android:layout_width="24dp"
        android:layout_height="24dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/profile_back_ic" />

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="12dp"
        android:alpha="0"
        app:layout_constraintBottom_toBottomOf="@id/iv_back"
        app:layout_constraintStart_toEndOf="@id/iv_back"
        app:layout_constraintTop_toTopOf="@id/iv_back"
        tools:alpha="1" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_user_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="12dp"
        android:alpha="0"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintEnd_toStartOf="@id/btn_share"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        tools:alpha="1"
        tools:text="HelloWorld"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_share"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:padding="4dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/btn_edit"
        app:layout_constraintEnd_toStartOf="@id/btn_more"
        app:layout_constraintStart_toEndOf="@id/tv_user_name"
        app:layout_constraintTop_toTopOf="@id/btn_edit"
        app:srcCompat="@drawable/profile_share_ic"
        tools:background="@drawable/profile_top_bar_button_bg"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_more"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="12dp"
        android:padding="4dp"
        app:layout_constraintBottom_toBottomOf="@id/btn_edit"
        app:layout_constraintEnd_toStartOf="@id/btn_edit"
        app:layout_constraintStart_toEndOf="@id/btn_share"
        app:layout_constraintTop_toTopOf="@id/btn_edit"
        app:srcCompat="@drawable/profile_more_ic"
        tools:background="@drawable/profile_top_bar_button_bg" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/btn_edit"
        android:layout_width="wrap_content"
        android:layout_height="32dp"
        android:layout_marginStart="12dp"
        android:background="@drawable/profile_edit_button_bg"
        android:minWidth="55dp"
        android:paddingHorizontal="6dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/btn_more"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_edit"
            android:layout_width="20dp"
            android:layout_height="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_edit"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/profile_edit_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_edit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="@string/common_edit"
            android:textColor="@color/white"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_edit"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>